%define upstream_name UV
%define upstream_version 0.24

%{?perl_default_filter}

Name:      perl-%{upstream_name}
Summary:   Perl interface to libuv
Version:   %perl_convert_version %{upstream_version}
Release:   %mkrel 4
License:   BSD, ISC and GPLv2
Group:     Development/Perl
Url:       http://search.cpan.org/dist/%{upstream_name}/
Source0:   http://search.cpan.org/CPAN/authors/id/T/TY/TYPESTER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::TCP)
BuildRequires: perl-devel

%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv,
platform layer for node.js.

Low-level means this module's functions maps to libuv functions directry.
C<uv_listen> maps to C<UV::listen>, C<uv_tcp_connect> to C<UV::tcp_connect>,
and so on.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make 

%check
make test

%install
%makeinstall_std

%files
%doc LICENSE README
%{perl_vendorarch}/UV.pm
%attr(0755,root,root) %{perl_vendorarch}/auto/UV/UV.so
%{_mandir}/man*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-4.mga6
+ Revision: 1035672
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.240.0-3.mga6
+ Revision: 958197
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.240.0-2.mga6
+ Revision: 846133
- Fix license

* Sat Jun 27 2015 tv <tv> 0.24-1.mga6
+ Revision: 846001
- imported package perl-UV


* Sat Jun 27 2015 Thierry Vignaud <tv@mageia.org> 0.24-1.mga6
- initial release
